Updates the typoTolerance setting for the index. Send the new value in the request body; send null to reset to default.
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});Unique identifier of the index.
Typo tolerance: how spelling mistakes in queries are handled.
When true, typo tolerance is enabled. When false, only exact matches are returned.
true
Minimum word length before typos are allowed. Contains oneTypo (min length for 1 typo) and twoTypos (min length for 2 typos). Example: { "oneTypo": 5, "twoTypos": 9 }.
Words for which typo tolerance is disabled. Use for brand names or terms that must match exactly.
["iPhone", "phone"]Attributes for which typo tolerance is disabled. Those attributes only return exact matches. Useful for fields like product codes or IDs.
["uuid", "url"]When true, typo tolerance is disabled on numeric tokens. For example, 123 will not match 132.
false
Task successfully enqueued.
A summarized view of a task, returned when a task is enqueued
Unique sequential identifier of the task.
x >= 0Status of the task. Possible values are enqueued, processing,
succeeded, failed, and canceled.
enqueued, processing, succeeded, failed, canceled "processing"
Type of operation performed by the task.
documentAdditionOrUpdate, documentEdition, documentDeletion, settingsUpdate, indexCreation, indexDeletion, indexUpdate, indexSwap, taskCancelation, taskDeletion, dumpCreation, snapshotCreation, export, upgradeDatabase, indexCompaction, networkTopologyChange "documentAdditionOrUpdate"
Date and time when the task was enqueued.
Unique identifier of the targeted index. Null for global tasks.
Custom metadata attached to this task at creation. Use it to associate tasks with external systems or add application-specific information.